Skip to main content
GET
/
v1
/
suppliers
/
businesses
/
{businessId}
/
accounts
Get Supplier Accounts for a Business
curl --request GET \
  --url https://api.voltview.co.uk/v1/suppliers/businesses/{businessId}/accounts \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.voltview.co.uk/v1/suppliers/businesses/{businessId}/accounts"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.voltview.co.uk/v1/suppliers/businesses/{businessId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "projectId": "<string>",
    "referenceId": "<string>",
    "expiryDate": "<string>",
    "status": "<string>",
    "supplier": "<string>",
    "sites": [
      {
        "id": "<string>",
        "accountId": "<string>",
        "referenceId": "<string>",
        "invoices": [
          {
            "id": "<string>",
            "filePath": "<string>",
            "extension": "<string>",
            "mpanMprn": "<string>",
            "supplierName": "<string>",
            "supplierAccountNumber": "<string>",
            "customerName": "<string>",
            "invoiceNumber": "<string>",
            "invoiceDate": "2023-12-25",
            "dueDate": "2023-12-25",
            "chargeStartDate": "2023-12-25",
            "chargeEndDate": "2023-12-25",
            "meterSerialNumber": "<string>",
            "siteAddress": "<string>",
            "paymentMethod": "<string>",
            "standingCharge": 123,
            "standingChargeType": "<string>",
            "cclRate": 123,
            "vatRate": 123,
            "readFromDate": "2023-12-25",
            "readToDate": "2023-12-25",
            "consumption": 123,
            "dayConsumption": 123,
            "nightConsumption": 123,
            "unitRate": 123,
            "dayUnitRate": 123,
            "nightUnitRate": 123,
            "correctionFactor": 123,
            "calorificValue": 123,
            "totalUnitCharge": 123,
            "totalStandingCharge": 123,
            "capacityCharge": 123,
            "amountDueNetOfVat": 123,
            "vat": 123,
            "totalAmount": 123
          }
        ],
        "contracts": [
          {
            "supplierAccountNumber": "<string>",
            "supplierName": "<string>",
            "supplierAddress": "<string>",
            "supplierCode": "<string>",
            "customerName": "<string>",
            "billingAddress": "<string>",
            "contractNumber": "<string>",
            "contractStartDate": "2023-12-25",
            "contractEndDate": "2023-12-25",
            "cclRate": 123,
            "isFixedContract": true,
            "isMarketRates": true,
            "isMicroBusiness": true,
            "paymentMethod": "<string>",
            "contractTermMonths": 123,
            "supplyPoints": [
              {
                "mpanMprn": "<string>",
                "meterSerialNumber": "<string>",
                "siteName": "<string>",
                "siteAddress": "<string>",
                "tariffName": "<string>",
                "isNonContractedRate": true,
                "standingCharge": 123,
                "standingChargeType": "<string>",
                "unitRate": 123,
                "dayUnitRate": 123,
                "nightUnitRate": 123,
                "estimatedAnnualConsumption": 123,
                "previous12MonthsConsumption": 123,
                "maximumImportCapacity": 123,
                "capacityRate": 123,
                "directDebitDiscount": 123,
                "brokerName": "<string>",
                "brokerUplift": 123,
                "vatRate": 123
              }
            ]
          }
        ],
        "creditNotes": [
          {
            "id": "<string>",
            "filePath": "<string>",
            "extension": "<string>"
          }
        ],
        "debitNotes": [
          {
            "id": "<string>",
            "filePath": "<string>",
            "extension": "<string>"
          }
        ],
        "certificates": [
          {
            "id": "<string>",
            "filePath": "<string>",
            "extension": "<string>"
          }
        ],
        "others": [
          {
            "id": "<string>",
            "filePath": "<string>",
            "extension": "<string>"
          }
        ],
        "loas": [
          {
            "id": "<string>",
            "filePath": "<string>",
            "extension": "<string>"
          }
        ]
      }
    ]
  }
]
{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "Invalid request"
}
}

Authorizations

x-api-key
string
header
required

VoltView API key

Path Parameters

businessId
string
required

Business ID

Response

Accounts retrieved successfully

id
string

Account identifier

projectId
string

Project identifier

referenceId
string

Business identifier

expiryDate
string

Account credentials expiry date

status
string

Account status

supplier
string

Utility supplier name

sites
object[]

List of sites associated with this account